%define snapdate 20071231

Name:		scim-sunpinyin
Summary:	SunPinyin is a SLM (Statistical Language Model) based IME
Version:	1.0
Release:	%mkrel -c %snapdate 3
Group:		System/Internationalization
License:	CDDL and LGPLv2+
URL:		http://www.opensolaris.org/os/project/input-method/
# fwang: the tarball is generated by:
# hg clone ssh://anon@hg.opensolaris.org/hg/nv-g11n/inputmethod
# cd inputmethod
# hg archive -t tbz2 scim-sunpinyin.tar.bz2
Source0:	%{name}.tar.bz2
Patch0:		scim-sunpinyin-fix-host-detection.patch
Requires:		scim-client = %{scim_api}
BuildRequires:		scim-devel >= 1.4.7

%description
SunPinyin (developed by Sun Asian G11N Center, shipped since Solaris 10,
and opensource'd on OS.o) is a SLM (Statistical Language Model) based IME.

This packagae contains SunPinyin's scim wrapper.

%prep
%setup -q -n %name/sunpinyin/ime
%patch0 -p0

%build
./autogen.sh
%configure2_5x --disable-cle --enable-scim
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%scim_plugins_dir/*/*.{a,la}

%find_lang sunpinyin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f sunpinyin.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{scim_plugins_dir}/*/*.so
%{_datadir}/scim/icons/*
%{_datadir}/scim/sunpinyin


%changelog
* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.3mdv2008.1
+ Revision: 156065
- adopt to new license policy

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.2mdv2008.1
+ Revision: 155468
- reword license
- License should be CDDL

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.1mdv2008.1
+ Revision: 139852
- add patch: treat x86_64 as i386 when linking dictionary
- import SOURCES and SPECS
- create scim-sunpinyin

